### Virtual Method

# Camel MimeFilter filter

#### Declaration [src]

    void
    filter (
      CamelMimeFilter* filter,
      const gchar* in,
      gsize len,
      gsize prespace,
      gchar** out,
      gsize* outlen,
      gsize* outprespace
    )

#### Description [src]

Passes the input buffer, `in`, through `filter` and generates an output buffer, `out`.

#### Parameters

`in`

  Type: An array of `guint8`

  Input buffer.

  The length of the array is specified in the `len` argument.
  The data is owned by the caller of the method.

`len`

  Type: `gsize`

  Length of `in`.

`prespace`

  Type: `gsize`

  Amount of prespace.

`out`

  Type: An array of `guint8`

  Pointer to the output buffer (to be set).

  The argument will be set by the function.
  The length of the array is specified in the `outlen` argument.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`outlen`

  Type: `gsize*`

  Pointer to the length of the output buffer (to be set).

  The argument will be set by the function.

`outprespace`

  Type: `gsize*`

  Pointer to the output prespace length (to be set).

  The argument will be set by the function.